// INDICADORES DE FORMATEO
#include <iostream.h>
#include <iomanip.h>

void main()
{
		// Se guardan los Indicadores, la precision y el caracter de relleno
		long Indicadores = cout.flags() ;
		int Precision = cout.precision() ;
		int Relleno = cout.fill() ;

		cout.setf( ios::internal | ios::showbase | ios::fixed |
					  ios::uppercase | ios::showpos | ios::showpoint ) ;

		cout << setfill( '*' ) << setprecision( 2 )
			  << setw( 10 ) << 1245.542 << endl
			  << setw( 10 ) << -43.1 << endl << endl
			  << hex << 0xb800 << endl << endl

		// Se activa el ajuste a la izquierda y se desactiva
		// el relleno interno para imprimir una cadena
		<< setiosflags( ios::left ) << resetiosflags( ios::internal )
		<< setw( 40 ) << "Cadena a la izquierda" << endl ;

		// Se restitiy el estado de los indicadores, la precision y el relleno
		cout.flags( Indicadores ) ;
		cout.precision( Precision ) ;
		cout.fill( Relleno ) ;
}
