// EJEMPLO DE FILEBUF
#include <fstream.h>
#include <io.h>
#include <fcntl.h>

int main( void )
{
		const char *nomFich = "prueba.bak" ;
		int fd ; // Descriptor de fichero

		// Se abre el fichero y se obtiene el descriptor
		fd = open(nomFich, O_RDWR | O_CREAT) ;

		// Se crea el buffer a partir del descriptor del fichero
		filebuf bufferFich(fd) ;

		if (!bufferFich.is_open())
		{
			cerr << "El fichero no esta abierto" ;
			return(1);
		}

		// Trabajar con el buffer del fichero
		bufferFich.sputn("Borland International", 21) ;

		return(0) ;
}

